Glibc error when trying to run a webapplication

/home/oyvind/RiderProjects/WebApplication2/WebApplication2/bin/Debug/net6.0/WebApplication2
/home/oyvind/RiderProjects/WebApplication2/WebApplication2/bin/Debug/net6.0/WebApplication2: /snap/core18/current/lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.33' not found (required by /lib/x86_64-linux-gnu/libstdc++.so.6)
/home/oyvind/RiderProjects/WebApplication2/WebApplication2/bin/Debug/net6.0/WebApplication2: /snap/core18/current/lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.32' not found (required by /lib/x86_64-linux-gnu/libstdc++.so.6)
/home/oyvind/RiderProjects/WebApplication2/WebApplication2/bin/Debug/net6.0/WebApplication2: /snap/core18/current/lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.34' not found (required by /lib/x86_64-linux-gnu/libstdc++.so.6)

I get this when i try to run the code from the "Run" button

using lubuntu

lsb_release -a 

Distributor ID: Ubuntu
Description:    Ubuntu 21.10
Release:        21.10
Codename:       impish

1 comment
Comment actions Permalink

Running into the same issue on my end with Manjaro. Just creating a new console application results into the same issue.

EDIT: Issue is due to the fact that dotnet through snap is broken, fix for the issue can be found in this thread; https://youtrack.jetbrains.com/issue/RIDER-73736#focus=Comments-27-5731409.0-0

1

Please sign in to leave a comment.